## ros-melodic-rr-openrover-driver 1.1.1

=== debian/changelog ===
ros-melodic-rr-openrover-driver (1.1.1-1bionic) bionic; urgency=high

  * Flip orrientation of Lidar, and rename launch file names
  * Contributors: 1102

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Mon, 15 Jun 2020 05:00:00 -0000

ros-melodic-rr-openrover-driver (1.1.0-1bionic) bionic; urgency=high

  * release to melodic

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Mon, 08 Jun 2020 05:00:00 -0000

ros-melodic-rr-openrover-driver (1.0.0-1bionic) bionic; urgency=high

  * Update teleop.launch
  * Contributors: Nick Fragale, padiln

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Mon, 08 Jun 2020 05:00:00 -0000

ros-melodic-rr-openrover-driver (0.8.0-1bionic) bionic; urgency=high



 -- Nick Padilla <nickpadilla@roverrobotics.com>  Wed, 25 Mar 2020 05:00:00 -0000

ros-melodic-rr-openrover-driver (0.7.4-1bionic) bionic; urgency=high

  * changed maintainership of all packages to nick padilla
  * Hotfix, remove integral gain overwrite
  * fix variable setting error affecting PID
  * exposed PID gains as ros parameters
  * added autodocking launch file and descriptions
  * Adding description and 4WD code
  * The coefficient that scaled the flipper motor commands wasn't being initialized properly so the flipper motor commands sent to the robot were flicking all over the place with the smallest change in commanded velocity. Solution: initialize the motor speed coefficients in every wheel configuration.
  * fix rover message buffer race condition
  * Updating the openerrover_driver to clean up how rover data is published. The current state of the driver data read from the rover is categorized as fast, medium, and slow rate data. All data types for a given rate are published in the same message. This requires users to parse the topic message to find the field for the desired information in the message. This pull request eliminates the rate based messages and instead publishes odometry, battery_state_of_charge and separate topics. For backwards compatibility the boolean parameter "use_legacy" publishes the rate topics if set to true.
    Additionally, all uses of tf have been updated to use tf2.
  * Contributors: Jack Kilian, padiln

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Wed, 19 Feb 2020 06:00:00 -0000

ros-melodic-rr-openrover-driver (0.7.3-1bionic) bionic; urgency=high

  * Migrating all usage of tf to tf2
  * Simplified rover data messages and only publish rate-based data in legacy mode

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Mon, 14 Oct 2019 05:00:00 -0000

ros-melodic-rr-openrover-driver (0.7.2-1bionic) bionic; urgency=high

  * Changed name to rr_openrover_drive from rr_openrover_basic
  * Refactored openrover_driver to accept Twist msgs instead of TwistStamped msgs

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Thu, 18 Jul 2019 05:00:00 -0000

ros-melodic-rr-openrover-driver (0.7.1-1bionic) bionic; urgency=high

  * Changed default port to /dev/rover
  * Changed CMAke to install diagnostics.py

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Mon, 24 Jun 2019 05:00:00 -0000

ros-melodic-rr-openrover-driver (0.7.0-1bionic) bionic; urgency=high

  * Fixed issue #12
  * Added fan speed control
  * Added launch file for 2wd teleop
  * Changed default fast rate data to 10hz

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Mon, 13 May 2019 05:00:00 -0000

ros-melodic-rr-openrover-driver (0.6.2-1bionic) bionic; urgency=high

  * Fixed issue #13

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Wed, 23 Jan 2019 06:00:00 -0000

ros-melodic-rr-openrover-driver (0.6.1-1bionic) bionic; urgency=high

  * Migrated release repo from /roverrobotics to /roverrobotics-release
  * Changed rosparam slippage_factor to traction_factor
  * Changed default weight to 20.0 lbs
  * Changed default drive type to 4WD
  * Changed default closed_loop_control_on to false
  * Removed low_speed_mode

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Thu, 13 Dec 2018 06:00:00 -0000

ros-melodic-rr-openrover-driver (0.6.0-1bionic) bionic; urgency=high

  * Added ROS topic /rr_openrover_driver/battery_status_a
  * Added ROS topic /rr_openrover_driver/battery_status_b

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Sat, 08 Dec 2018 06:00:00 -0000

ros-melodic-rr-openrover-driver (0.5.1-1bionic) bionic; urgency=high

  * Added ROS topic /rr_openrover_driver/motor_speeds_commanded
  * Added ROS topic /rr_openrover_driver/charging
  * Fixed issue #8

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Fri, 07 Dec 2018 06:00:00 -0000

ros-melodic-rr-openrover-driver (0.5.0-1bionic) bionic; urgency=high

  * Added ROS param for 'odom covariances'
  * Added ROS param for 'slippage factor'
  * Added diagnostics node
  * Fixed issue #1

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Fri, 07 Dec 2018 06:00:00 -0000

ros-melodic-rr-openrover-driver (0.4.0-1bionic) bionic; urgency=high

  * Added ROS param 'drive_type'

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Mon, 23 Jul 2018 05:00:00 -0000

ros-melodic-rr-openrover-driver (0.3.0-1bionic) bionic; urgency=high

  * Added ROS topic /rr_openrover_driver/odom_encoder
  * Added 2nd maintainer to package.xml and URL to wiki

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Thu, 19 Jul 2018 05:00:00 -0000

ros-melodic-rr-openrover-driver (0.2.0-1bionic) bionic; urgency=high

  * Fixed low-speed mode turning so it has a continuous turning speed range
  * Added dependency to generate messages cpp to CMakeLists
  * updated package.xml to new format

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Tue, 17 Jul 2018 05:00:00 -0000

ros-melodic-rr-openrover-driver (0.1.0-1bionic) bionic; urgency=high

  * first public release for Kinetic

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Tue, 10 Jul 2018 05:00:00 -0000
